Skip to main content
GET
Retrieve a program

Authorizations

Authorization
string
header
required

Secret API key, e.g. sk_live_... or sk_test_....

Path Parameters

program_id
string
required

Response

OK.

A card program defines the BIN, network, currencies and card types available to your account.

id
string
required
read-only

Unique identifier, prefixed with prog_.

Example:

"prog_01JZ8A2K4M"

object
enum<string>
required
read-only

Object type.

Available options:
program
name
string
required
Example:

"Corporate Cards"

status
enum<string>
required
Available options:
active,
inactive
network
enum<string>
Available options:
visa,
mastercard
Example:

"visa"

supported_card_types
enum<string>[]
Available options:
virtual,
physical
supported_currencies
string[]

Three-letter ISO 4217 currency code.

Pattern: ^[A-Z]{3}$
created_at
string<date-time>
read-only

Time the program was created.